title: goal wallet new
---
## goal wallet new



Create a new wallet



```

goal wallet new [wallet name] [flags]

```



### Options



```

  -h, --help                       help for new

  -r, --recover goal account new   Recover the wallet from the backup mnemonic provided at wallet creation (NOT the mnemonic provided by goal account export or by algokey). Regenerate accounts in the wallet with goal account new

```



### Options inherited from parent commands



```

  -d, --datadir stringArray   Data directory for the node

  -k, --kmddir string         Data directory for kmd

```



### SEE ALSO



* [goal wallet](../../wallet/wallet/)	 - Manage wallets: encrypted collections of Algorand account keys



